Subject: Re: bug#58928: 29.0.50; overlays in org-mode are disrupted after call `org-capture`

From: Gerd Möllmann <[email-masked]>
Date: Tue, 1 Nov 2022 08:01:13 +0100

On 01.11.22 07:14, Eli Zaretskii wrote:
>> 1. start "emacs -Q"
>> 2. type "C-x C-f" and "test.org" and RET
>> 3. type the following:
>> * DONE test
>> CLOSED: [2022-10-31 Mon 18:27]
>> :LOGBOOK:
>> - State "DONE"       from "TODO"       [2022-10-31 Mon 18:27]
>> :END:
>> * DONE test
>> CLOSED: [2022-10-31 Mon 18:27]
>> :LOGBOOK:
>> - State "DONE"       from "TODO"       [2022-10-31 Mon 18:27]
>> :END:
>> * DONE test
>> CLOSED: [2022-10-31 Mon 18:27]
>> :LOGBOOK:
>> - State "DONE"       from "TODO"       [2022-10-31 Mon 18:27]
>> :END:
>> * DONE test
>> CLOSED: [2022-10-31 Mon 18:27]
>> :LOGBOOK:
>> - State "DONE"       from "TODO"       [2022-10-31 Mon 18:27]
>> :END:
>>
>> 4. call `org-shifttab`(S-TAB), make sure all headlines are in
>> OVERVIEW.
>> 5. load the following code:
>> (setq org-capture-templates
>>        '(("l" "test" entry (file "path to org")
>>             "* %?"
>>             :prepend t
>>             :empty-lines 0)))

I'm not using this part of Org, and need some hand-holding here.

I've evaluated the form above as-is in *scratch*, and done the S-tab.
I now have 4 lines looking like "* DONE test..." in the buffer.

>>
>> 6. Call `org-capture` in test.org buffer, and type something.

M-x org-capture RET in test.org asks me what template to use, and I
choose 'l'.  I then type something and hit C-c C-c.  It asks me to let
it create a directory ~/org, and I let it do that.  What I see after
that in the test.log buffer looks like it did before.  There are same 4
lines.

What am I doing wrong?

(This is current master.)